Subject: Re: [PATCH v3 0/4] powerpc: trivial unused functions cleanup

From: Michael Ellerman <[email-masked]>
Date: Fri, 20 Mar 2015 16:39:53 +1100

On Fri, 2015-03-20 at 11:55 +0700, Arseny Solokha wrote:
> 
> And by the way, while revisiting the series I've noticed that though the patch
> 4/4 basically reverts [1], it leaves
> 
>   #define MPIC_GREG_GLOBAL_CONF_1		0x00030
> 
> in arch/powerpc/include/asm/mpic.h untouched. That define also loses its uses
> after applying the patch. Compare the following hunk in today's patch w/ the one
> you committed:
> 
>   @@ -33,11 +33,6 @@
>    #define		MPIC_GREG_GCONF_NO_BIAS			0x10000000
>    #define		MPIC_GREG_GCONF_BASE_MASK		0x000fffff
>    #define		MPIC_GREG_GCONF_MCK			0x08000000
>   -#define MPIC_GREG_GLOBAL_CONF_1		0x00030
>   -#define		MPIC_GREG_GLOBAL_CONF_1_SIE		0x08000000
>   -#define		MPIC_GREG_GLOBAL_CONF_1_CLK_RATIO_MASK	0x70000000
>   -#define		MPIC_GREG_GLOBAL_CONF_1_CLK_RATIO(r)	\
>   -			(((r) << 28) & MPIC_GREG_GLOBAL_CONF_1_CLK_RATIO_MASK)
>    #define MPIC_GREG_VENDOR_0		0x00040
>    #define MPIC_GREG_VENDOR_1		0x00050
>    #define MPIC_GREG_VENDOR_2		0x00060
> 
> So the question is, should #define MPIC_GREG_GLOBAL_CONF_1 have been also
> removed, or could be left as is?
> 
> [1] https://lists.ozlabs.org/pipermail/linuxppc-dev/2006-June/023867.html

OK, thanks for the thoroughness.

With #defines like that it's never clear if they should be removed or not. On
the one hand it's not used, so it should be removed. But, it can be useful to
keep the #defines there as documentation.

So I'm 50/50 on it. If you send me a patch to remove it I'll merge it, unless
someone else objects.

cheers